KUBERNETES(1)

NAME

kubeadm init phase certs apiserver - Generates the certificate for serving the Kubernetes API

SYNOPSIS

kubeadm init phase certs apiserver [OPTIONS]

DESCRIPTION

Generates the certificate for serving the Kubernetes API, and saves them into apiserver.cert and apiserver.key files.

Default SANs are kubernetes, kubernetes.default, kubernetes.default.svc, kubernetes.default.svc.cluster.local, 10.96.0.1, 127.0.0.1

If both files already exist, kubeadm skips the generation step and existing files will be used.

Alpha Disclaimer: this command is currently alpha.

OPTIONS

--apiserver-advertise-address=""
    The IP address the API Server will advertise it's listening on. If not set the default network interface will be used.

--apiserver-cert-extra-sans=[]
    Optional extra Subject Alternative Names (SANs) to use for the API Server serving certificate. Can be both IP addresses and DNS names.

--cert-dir="/etc/kubernetes/pki"
    The path where to save and store the certificates.

--config=""
    Path to a kubeadm configuration file.

--csr-dir=""
    The path to output the CSRs and private keys to

--csr-only=false
    Create CSRs instead of generating certificates

--service-cidr="10.96.0.0/12"
    Use alternative range of IP address for service VIPs.

--service-dns-domain="cluster.local"
    Use alternative domain for services, e.g. "myorg.internal".

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

SEE ALSO

kubeadm-init-phase-certs(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!